Subject: RE: [External] : Re: bug#72425: 29.2.50; substring (and other PCM styles) fails with candidates containing newlines

From: Drew Adams <[email-masked]>
Date: Fri, 2 Aug 2024 21:22:23 +0000

> >> This is due to a regex using "." when it should use a pattern which
> >> actually matches anything, such as "[^z-a]".  A patch to fix will
> >> follow.
> >
> > "[^z-a]" doesn't match any char.
> >
> > "\\(.\\|[\n]\\)" matches any char.
> 
> (rx anychar) expands to [^z-a], I'm just following that.  File a
> different bug if you think rx is wrong, and if that gets changed, I'll
> change this patch as well.

I guess [^z-a] does match any char.
Looks odd, but makes sense no char is in that range,
so every char is not in that range.